# Uses of Interface
org.eclipse.e4.core.di.IInjector

Packages that use IInjector
Package
Description
org.eclipse.e4.core.di
Application programming interfaces describing dependency injection framework.

## Uses of IInjector in org.eclipse.e4.core.di

Methods in org.eclipse.e4.core.di that return IInjector
Modifier and Type
Method
Description
`static IInjector`
InjectorFactory.`getDefault()`
Returns default instance of the dependency injector.
`static IInjector`
InjectorFactory.`makeInjector()`
Returns a new instance of the dependency injector.